Bug 219740 - gfortran disallows external declaration of (intrinsic) etime
gfortran disallows external declaration of (intrinsic) etime
Product: Fedora
Classification: Fedora
Component: lapack (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-14 21:50 EST by Deji Akingunola
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.1.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-08 11:56:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Removes EXTERNAL declaration of etime (1.12 KB, patch)
2006-12-14 21:50 EST, Deji Akingunola
no flags Details | Diff

  None (edit)
Description Deji Akingunola 2006-12-14 21:50:55 EST
Description of problem:

Version-Release number of selected component (if applicable):
Gfortran generally doesn't accept declaring an intrinsic as external. Such is
etime intrinsic in lapack, linking a program against lapack gives 'undefine
reference to etime_'. I've attached a patch that fix this by removing the
external declaration (of etime) everywhere it appears in the source package.

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Deji Akingunola 2006-12-14 21:50:55 EST
Created attachment 143728 [details]
Removes EXTERNAL declaration of etime
Comment 2 Tom "spot" Callaway 2007-01-05 22:01:13 EST
Thanks for the patch, applied in 3.1.0-4
Comment 3 Fedora Update System 2007-06-08 11:56:07 EDT
lapack-3.1.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.